/*
Copyright (C)2003-2011, IBM, Inc. All rights reserved.
IBM, Inc. owns the copyright and other intellectual 
property rights in this software. Duplication or use of the 
Software is not permitted except as expressly provided in a 
written agreement between your company and IBM, Inc.
*/


#ifndef XSTREAM_H
#define XSTREAM_H

int xstream_offer(const char *proto);
int xstream_close(void);
int xstream_send_bye(void);
int xstream_send_file(const char *path, const struct stat *sb, int fd);
int xstream_recv_file(void *buf, size_t bufsz);

#endif /* XSTREAM_H */
